Name: mos-std-desktop
Version: 1.4
Release: alt1

Summary: M OS default desktop settings
Summary(ru_RU.UTF-8): Начальные настройки пользователя операционной системы М

License: GPLv3
Group: System/Configuration/Other
Url: http://osmesh.ru
BuildArch: noarch
Requires: xmlstarlet
Source: %name-%version.tar
# we have a symlink to r7-office-desktopeditors.desktop
# but do not require it to be installed
AutoReq: nosymlinks

Obsoletes: kometa-std-desktop < 2.0
Conflicts: kometa-std-desktop < 2.0

%description
Standart files on Desktop and M OS icons, ovewrite basealt logo
Default settings for applications

%description -l ru_RU.UTF-8
Файлы по умолчанию для Рабочего стола Эмки, настройка приложений и настройка иконок.
Файловый триггер используется, чтобы не создавалось ошибочного впечателния, что М - продукт компании Базальт.
Все изображения логотипа затираются и используются изображения логотипа М.

%prep
%setup

%install
%define skeldir "/etc/skel"
%define skelconfigdir "/etc/skel/.config"
%define skellocalsharedir "/etc/skel/.local/share"
%define skeldesktopdir "/etc/skel/Рабочий стол"
%define ftdir "/usr/lib/rpm"

mkdir -p %buildroot%skelconfigdir
mkdir -p %buildroot%skelconfigdir/inkscape
mkdir -p %buildroot%skelconfigdir/chromium/Default
mkdir -p %buildroot%skelconfigdir/libreoffice/4/user
mkdir -p %buildroot%skellocalsharedir/OpenBoard
mkdir -p %buildroot%skellocalsharedir/kwalletd
mkdir -p %buildroot%skellocalsharedir/dolphin/view_properties/global
mkdir -p %buildroot%skeldesktopdir
mkdir -p %buildroot%ftdir

install -pm644 baloofilerc %buildroot%skelconfigdir
install -pm644 powermanagementprofilesrc %buildroot%skelconfigdir
install -pm644 inkscape.xml %buildroot%skelconfigdir/inkscape/preferences.xml
install -pm644 chromium.json %buildroot%skelconfigdir/chromium/Default/Preferences
install -pm644 libreoffice.xcu %buildroot%skelconfigdir/libreoffice/4/user/registrymodifications.xcu
install -pm644 OpenBoardUser.config %buildroot%skellocalsharedir/OpenBoard
install -pm600 kdewallet.kwl %buildroot%skellocalsharedir/kwalletd
install -pm600 kdewallet.salt %buildroot%skellocalsharedir/kwalletd
install -pm600 DolphinGlobalViewProperties %buildroot%skellocalsharedir/dolphin/view_properties/global/.directory
install -pm644 Home.desktop %buildroot%skeldesktopdir
install -pm644 trash.desktop %buildroot%skeldesktopdir
ln -s /usr/share/applications/r7-office-desktopeditors.desktop %buildroot%skeldesktopdir/r7-office-desktopeditors.desktop
ln -s /usr/share/applications/chromium.desktop %buildroot%skeldesktopdir/chromium.desktop
install -pm755 brandicons.filetrigger %buildroot%ftdir
install -pm755 previewplugins.filetrigger %buildroot%ftdir

%files
"/etc/skel/.config/baloofilerc"
"/etc/skel/.config/powermanagementprofilesrc"
"/etc/skel/.config/inkscape/preferences.xml"
"/etc/skel/.config/chromium/Default/Preferences"
"/etc/skel/.config/libreoffice/4/user/registrymodifications.xcu"
"/etc/skel/.local/share/OpenBoard/OpenBoardUser.config"
"/etc/skel/.local/share/kwalletd/kdewallet.kwl"
"/etc/skel/.local/share/kwalletd/kdewallet.salt"
"/etc/skel/.local/share/dolphin/view_properties/global/.directory"
"/etc/skel/Рабочий стол/Home.desktop"
"/etc/skel/Рабочий стол/trash.desktop"
"/etc/skel/Рабочий стол/r7-office-desktopeditors.desktop"
"/etc/skel/Рабочий стол/chromium.desktop"
"/usr/lib/rpm/brandicons.filetrigger"
"/usr/lib/rpm/previewplugins.filetrigger"

%changelog
* Tue Aug 30 2022 Artem Proskurnev <tema@altlinux.org> 1.4-alt1
- Remove repo

* Wed Aug 10 2022 Artem Proskurnev <tema@altlinux.org> 1.3-alt3
- chromium.desktop symlink

* Tue Aug 09 2022 Mikhail Novosyolov <mikhailnov@nixtux.ru> 1.3-alt2
- Do not autoreq R7 Office by symlink

* Mon Aug 08 2022 Artem Proskurnev <tema@altlinux.org> 1.3-alt1
- Ярлык Р7 на рабочий стол.

* Mon Jul 04 2022 Artem Proskurnev <tema@altlinux.org> 1.2-alt1
- Удаление шаблонов документов с Рабочего стола

* Tue Jun 14 2022 Artem Proskurnev <tema@altlinux.org> 1.1-alt1
- Индексация файлов

* Wed Apr 27 2022 Artem Proskurnev <tema@altlinux.org> 1.0-alt4
- Kometa -> M OS; OpenBoard settings

* Mon Apr 25 2022 Artem Proskurnev <tema@altlinux.org> 1.0-alt3
- mos-icons

* Fri Apr 22 2022 Artem Proskurnev <tema@altlinux.org> 1.0-alt2
- Replace old branding

* Thu Apr 21 2022 Artem Proskurnev <tema@altlinux.org> 1.0-alt1
- KWallet default
- Dolphin global preview
- Power management
- OpenBoard settings
- LibreOffice VerticalRuler
- Kometa repo
- kdeglobals -> kometa-xdg
- Disable presenter console LO Impress
- Docs -> kometa-docdir
- KDE5 preview plugins
- Chromium - default
- Change Inkscape deafult theme. In a standard theme, icons are not visible on a dark background. Chromium <- yandex.ru
- Only desktop icons + filetrigger kometa -> basealt, altlinux
- Dolphin, single click, ru/us == РУС/АНГ, Num Lock

